> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kasoftware.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create vault

> Creates a new vault object with the specified parameters.



## OpenAPI

````yaml 26.2/self-hosted/zh/api-reference/openapi.json POST /vault
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Base URL of your Arc instance, including scheme and application path
          (e.g. https://arc.example.com/api.rsc).
security: []
paths:
  /vault:
    post:
      tags:
        - vault
      summary: Create vault
      description: Creates a new vault object with the specified parameters.
      operationId: createvault
      requestBody:
        description: The vault entity to post
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/vault'
        required: true
      responses:
        '201':
          description: vault created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/vault'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    vault:
      type: object
      properties:
        Id:
          description: The Id of the vault item.
          type: string
        Name:
          description: The name of the vault item.
          type: string
        Type:
          description: The type of the vault item (Standard or Encrypted).
          type: string
        ShowType:
          description: Whether or not to output output the Type of the vault item.
          type: string
        Tags:
          description: The tags of the vault item.
          type: string
        Value:
          description: The value of the vault item.
          type: string
      required:
        - Id
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````